Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.metadata

# Class GetTypeInfo

java.lang.Object
org.firebirdsql.jdbc.metadata.GetTypeInfo

public final class GetTypeInfo extends Object
Provides the implementation for `DatabaseMetaData.getTypeInfo()`.

Since:
  5
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`static GetTypeInfo`
`create(DbMetadataMediator mediator)`
`ResultSet`
`getTypeInfo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeInfo

public ResultSet getTypeInfo() throws SQLException

Throws:
  `SQLException`

### create

public static GetTypeInfo create(DbMetadataMediator mediator)